Make printf line endings consistent

This commit is contained in:
2024-05-27 12:36:34 +02:00
parent 43ed03d687
commit 13fe52c9dc
4 changed files with 7 additions and 7 deletions

View File

@@ -12,7 +12,7 @@ DOTDIR="/var/lib/dotfiles"
os_release_file=/etc/os-release
if [[ ! -e "${os_release_file}" ]] ; then
2>&1 printf 'Could not find %, exiting' "${os_release_file}"
2>&1 printf 'Could not find %, exiting\n' "${os_release_file}"
exit 1
fi
@@ -38,7 +38,7 @@ install() {
fi
sudowrap pacman -S --needed --noconfirm "${package}"
else
2>&1 printf 'Unsupported distro %s, exiting' "$NAME"
2>&1 printf 'Unsupported distro %s, exiting\n' "$NAME"
exit 1
fi
}

View File

@@ -7,12 +7,12 @@ set -o errexit
DEVICE="/dev/sda"
if [[ ! -b "${DEVICE}" ]] ; then
printf '%s does not look like a device' "${DEVICE}"
printf '%s does not look like a device\n' "${DEVICE}"
exit 1
fi
if [[ ! -d /sys/firmware/efi/efivars ]] ; then
printf 'efivars does not exist, looks like the system is not booted in EFI mode'
printf 'efivars does not exist, looks like the system is not booted in EFI mode\n'
exit 1
fi

View File

@@ -7,12 +7,12 @@ set -o errexit
DEVICE="/dev/nvme0n1"
if [[ ! -b "${DEVICE}" ]] ; then
printf '%s does not look like a device' "${DEVICE}"
printf '%s does not look like a device\n' "${DEVICE}"
exit 1
fi
if [[ ! -d /sys/firmware/efi/efivars ]] ; then
printf 'efivars does not exist, looks like the system is not booted in EFI mode'
printf 'efivars does not exist, looks like the system is not booted in EFI mode\n'
exit 1
fi

View File

@@ -389,7 +389,7 @@
done
if [[ ! "${arch}" ]] ; then
printf 'unsupported arch' >&2
printf 'unsupported arch\n' >&2
exit 1
fi